using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IAlarmSettingRepository : IRepository<AlarmSetting>
	{
        IQueryable<AlarmSetting> LoadAll(char type);

        AlarmSetting Get(int hotelID, char type, string code);

        AlarmSetting Get(int hotelID, char type, int modalTypeId);

        AlarmSetting Get(int hotelID, char type, string code, int modalTypeId);
	}
}
